package ng_cw_client

import (
	"git.sxidc.com/service-supports/dapr_api/invoke"
	"time"
)

var invokeAPI *invoke.API

func Init(baseUrl string, timeoutSec time.Duration) {
	if invokeAPI == nil {
		invokeAPI = invoke.NewAPI(baseUrl, timeoutSec)
	}
}

func Destroy() {
	if invokeAPI == nil {
		return
	}

	invoke.DestroyAPI(invokeAPI)
	invokeAPI = nil
}

func GetInvokeAPI() *invoke.API {
	return invokeAPI
}
