package request

type WorkflowBusinessObject struct {
	BusinessType   string      `json:"businessType"`
	BusinessObject interface{} `json:"businessObject"`
}

type StartWorkflowRequest struct {
	WorkflowTemplateID string `json:"workflowTemplateId"`
	LaunchUserName     string `json:"launchUserName"`
	Matter             string `json:"matter"`
	BusinessObject     string `json:"businessObject"`
	CreateUserID       string `json:"createUserId"`
	TenantID           string `json:"tenantId"`
}

type StartWorkFlowByBusinessTypeRequest struct {
	BusinessType   string      `json:"businessType"`
	LaunchUserName string      `json:"launchUserName"`
	Matter         string      `json:"matter"`
	Data           interface{} `json:"data"`
	CreateUserID   string      `json:"createUserId"`
	TenantID       string      `json:"tenantId"`
}
